## apng2gif 1.3

=== Makefile ===
all:
	gcc -O2 -lz -o apng2gif apng2gif.c

## apng2gif 1.1

=== debian/changelog ===
apng2gif (1.1-1ubuntu1) oneiric; urgency=low

  * debian/rules:
    - Re-order -lz to fix FTBFS with ld --as-needed (LP: #803171)
      (Closes: #632853)

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 06 Jul 2011 15:25:30 +0200

apng2gif (1.1-1) unstable; urgency=low

  * Initial release (Closes: #606769).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Dec 2010 18:28:44 +0200

=== debian/control ===
Source: apng2gif
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), libz-dev
Standards-Version: 3.9.1
Homepage: https://sourceforge.net/projects/apng2gif/
Vcs-Git: git://git.debian.org/collab-maint/apng2gif.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apng2gif.git;a=summary

Package: apng2gif
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert APNG animated images to GIF files
 Progrmam apng2gif converts APNG into animated GIF format.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = apng2gif
BIN	= $(PACKAGE)

include debian/debian-compile.mk
include debian/pod2man.mk

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	$(CC) $(CFLAGS) $(PACKAGE).c -o $(BIN) -lz

override_dh_installmanpages:
	dh_installmanpages debian/*.1

%:
	dh $@

# End of file

## apng2gif 1.3

=== debian/changelog ===
apng2gif (1.3-2) unstable; urgency=low

  * debian/copyright
    - (Format): Update URL (lintian).
    - (License): Use name without a slash; zlib-libpng (lintian).
  * debian/rules
    - (override_dh_auto_build): Move -lz to the end of compile line.
      Patch thanks to Ubuntu Angel Abad <angelabad@gmail.com>
      (FTBFS; Closes: #632853).
    - (override_dh_installman): Use dh_installman.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 18 Sep 2011 11:02:16 +0300

apng2gif (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #641349).
  * debian/control
    - (Standards-Version): update to 3.9.2.
  * debian/copyright
    - Update layout to DEP 5.
    - (Licence): Add zlib/libpng. Upstream change from GPL.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 14 Sep 2011 00:15:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: apng2gif
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
+Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 8), libz-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://sourceforge.net/projects/apng2gif/
 Vcs-Git: git://git.debian.org/collab-maint/apng2gif.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apng2gif.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 override_dh_auto_build: man
 	$(CC) $(CFLAGS) $(PACKAGE).c -o $(BIN) -lz
 
-override_dh_installmanpages:
-	dh_installmanpages debian/*.1
+override_dh_installman:
+	dh_installman debian/*.1
 
 %:
 	dh $@

## apng2gif 1.4

=== debian/changelog ===
apng2gif (1.4-2) unstable; urgency=low

  * debian/debian-compile.mk
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 05 Feb 2012 09:16:21 +0200

apng2gif (1.4-1) unstable; urgency=low

  * New upstrem release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Jan 2012 19:44:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE = apng2gif
 BIN	= $(PACKAGE)
+CC	:= gcc
 
 include debian/debian-compile.mk
 include debian/pod2man.mk

## apng2gif 1.5

=== Makefile ===
all:
	gcc -O2 -o apng2gif apng2gif.c -lz

=== debian/changelog ===
apng2gif (1.5-3) unstable; urgency=low

  * debian/control
    - (Standards-Version): update to 3.9.4.
  * debian/rules
    - (CFLAGS): Use -std=c99 to fix warnings.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 20 Oct 2012 21:24:46 +0300

apng2gif (1.5-2) unstable; urgency=low

  * debian/control
    - (Description): Improve first paragraph (Closes: #680247). Patch
      thanks to Justin B Rye <jbr@edlug.org.uk>.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 07 Jul 2012 09:23:35 +0300

apng2gif (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #663412).
  * debian/control
    - (Standards-Version): update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/debian-compile.mk
    - Delete; no longer used.
  * debian/rules
    - (override_dh_installman): Delete; unnecessary. See debian/manpages.
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Mar 2012 03:50:30 -0400

=== debian/control ===
Source: apng2gif
Section: graphics
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libz-dev
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/apng2gif/
Vcs-Git: git://git.debian.org/collab-maint/apng2gif.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apng2gif.git;a=summary

Package: apng2gif
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for converting APNG images to animated GIF format
 This package provides a command line tool for converting images from
 Animated PNG to animated GIF format.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = apng2gif
BIN	= $(PACKAGE)
CC	:= gcc

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS	+= -Wall -pedantic -std=c99
LDFLAGS += -Wl,--as-needed

include debian/pod2man.mk

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(PACKAGE).c -o $(BIN) -lz

override_dh_installchangelogs:
	dh_installchangelogs readme.txt

%:
	dh $@

# End of file

## apng2gif 1.7

=== Makefile ===
PACKAGE    = apng2gif
CC         = gcc
CFLAGS     = -Wall -pedantic
CFLAGS_OPT = -O2
LIBS       = -lstdc++ -lm -lpng -lz

all :
	$(CC) $(CFLAGS) $(CFLAGS_OPT) -o apng2gif apng2gif.cpp -s $(LIBS)

.PHONY : clean

clean : 
	rm -rf apng2gif

=== debian/changelog ===
apng2gif (1.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
      - (Build-Depends): add libpng-dev.
      - (Standards-Version): Update to 3.9.8.
      - (Vcs-*): Update to anonscm.debian.org.
    * debian/pod2man.mk
      - Make build reproducible (Closes: #782199).
        Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 15:13:07 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), libz-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libz-dev, libpng-dev
+Standards-Version: 3.9.8
 Homepage: https://sourceforge.net/projects/apng2gif/
-Vcs-Git: git://git.debian.org/collab-maint/apng2gif.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/apng2gif.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/apng2gif.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/apng2gif.git;a=summary
 
 Package: apng2gif
 Architecture: any

## apng2gif 1.8

=== Makefile ===
PACKAGE    = apng2gif
CC         = gcc
CFLAGS     = -Wall -pedantic
CFLAGS_OPT = -O2
LIBS       = -lstdc++ -lm -lpng -lz

all :
	$(CC) $(CFLAGS) $(CFLAGS_OPT) -o $(PACKAGE) $(PACKAGE).cpp -s $(LIBS)

.PHONY : clean

clean : 
	rm -rf $(PACKAGE)

=== debian/changelog ===
apng2gif (1.8-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:16:49 +1100

apng2gif (1.8-5build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:02:17 +0000

apng2gif (1.8-5) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Bump Standards-Version: 4.6.2
  * d/control: Update Homepage:, use https URL
  * d/copyright: Update year info to 2023

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 11 Apr 2023 18:02:00 +0800

apng2gif (1.8-4) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Use correct machine-readable copyright file URI.
  * d/copyright: update year info to 2022, delete X-Upstream-* field.
  * d/clean: remove useless lines

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC). (Closes: #1003390)

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 10 Jan 2022 10:42:35 +0800

apng2gif (1.8-3) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * add debian/gbp.conf, set debian-branch = debian/latest
  * d/control:
      - New maintainer (Closes: #920071)
      - Bump Standards-Version: 4.6.0
      - Bump debhelper-compat (= 13)
      - add Rules-Requires-Root: no
      - Update Homepage: http://apng2gif.sourceforge.net
  * add d/upstream/metadata
  * d/watch: update to version=4
  * d/copyright: Files: debian/* add New maintainer xiao sheng wen
  * Update manpages: delete outdated APNG homepage, fix typo
  * d/rules:
      - delete "LDFLAGS += -Wl,--as-needed"
      - delete unused override_dh_installchangelogs
      - delete unused CC,CFLAGS variables
      - add execute_before_dh_installman target

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 24 Aug 2021 22:00:11 +0800

apng2gif (1.8-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Thu, 11 Feb 2021 21:58:46 +0200

apng2gif (1.8-1) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920071)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: using a secure URI in Format field.

 -- Marcos Vinicius Scherer <marcos.v.scherer@gmail.com>  Fri, 07 Jun 2019 19:15:49 -0300

apng2gif (1.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes CVE-2017-6960 (Closes: #854367).
    - Fixes CVE-2017-6961 (Closes: #854441).
    - Fixes CVE-2017-6962 (Closes: #854447).

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Oct 2018 14:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: apng2gif
 Section: graphics
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), libz-dev, libpng-dev
-Standards-Version: 3.9.8
-Homepage: https://sourceforge.net/projects/apng2gif/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apng2gif.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/apng2gif.git;a=summary
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends: debhelper-compat (= 13),
+ libz-dev,
+ libpng-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://apng2gif.sourceforge.net
+Vcs-Git: https://salsa.debian.org/atzlinux-guest/apng2gif.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/atzlinux-guest/apng2gif
 
 Package: apng2gif
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LIBS     = -lstdc++ -lm -lpng -lz

PACKAGE = apng2gif
BIN    = $(PACKAGE)

include debian/pod2man.mk

execute_before_dh_installman:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(PACKAGE).cpp -o $(BIN) $(LIBS)

%:
	dh $@
